%% Cross01
%
% This is a MATLAB program for solving a continuous beam using the
% Cross Process.
% Euler-Bernoulli flexural behavior is assumed (Navier beam theory).
% This is an initial version without any GUI (Graphics User Interface).
%
% This program implements the Cross Process for continuous beams with
% uniformly distributed loads in each spam.
%
% For more details of this process, refer to the book "Anlise de
% Estruturas: Conceitos e Mtodos Bsicos", Second Edition, by Luiz
% Fernando Martha, Elsevier, 2017.
%
%% Object oriented classes
% This program adopts an Object Oriented Programming (OOP) paradigm, in
% which the following OOP classes are implemented:
%%%
% * <crosssolver.html *CrossSolver*> class.
% * <crossmember.html *CrossMember*> class.
% * <crossnode.html *CrossNode*> class.
% * <crossstep.html *CrossStep*> class.
% * <crosscontrol.html *CrossControl*> class.
% * <crossgui.html *CrossGUI*> class.
%
%% Author
% Luiz Fernando Martha
%
%% History
% @version 1.00
%
% Initial version 1.00: September 2023
%%%
% Initially prepared for version Cross01 application of course CIV 2801 -
% Fundamentos de Computao Grfica, 2023, second term, Department of
% Civil Engineering, PUC-Rio.
% Cross01 version has no canvas and controls the continuous beam Cross
% solution through control buttons.
%

%% Initialization

% Clear workspace
clear
close(findall(0,'Type','figure'));
clear classes
clc

% Add path to canvas, cross, and images folders
addpath('cross','gui','images');

%% Start up app
CrossGUI
%CrossGUI_code
